View Issue Details

IDProjectCategoryView StatusLast Update
0017352FPCUtilitiespublic2014-03-06 10:22
ReporterMarco van de Voort Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionwon't fix 
Summary0017352: fpdoc doesn't treat subranges very nice.
Descriptionfpdoc doesn't treat subranges very nice. Should be a ref to the type it is a subrange of? Or at least have the elements clickable.

Steps To ReproduceSee e.g. db.tblobtype there is nearly no info. (in my case :CHM docs)
TagsNo tags attached.
Fixed in Revision
FPCOldBugId0
FPCTarget
Attached Files

Relationships

related to 0021252 closedMichael Van Canneyt FPDoc regression: It can no longer read the LCL sources while in FPC 2.6 it could 

Activities

Marco van de Voort

2010-09-06 09:37

manager   ~0040850

this probably requires, under some constaints, to put the individual fields of an enum into the index.

Michael Van Canneyt

2012-04-14 16:44

administrator   ~0058590

I looked into this as part of fixing other bugs.

The subrange bounds can be extremely difficult, containing expressions and whatnot. trying to cover all possible cases will lead to a serious mess.
Even relatively simple things like
-Maxint..Maxint
will already be hard to handle, requiring to traverse the expressions, looking for all possible identifiers.

So I'm not going to improve this. Patches will be accepted; but I will not spend time on it.

Issue History

Date Modified Username Field Change
2010-09-05 12:21 Marco van de Voort New Issue
2010-09-05 12:21 Marco van de Voort FPCOldBugId => 0
2010-09-06 09:37 Marco van de Voort Note Added: 0040850
2010-09-14 13:40 Michael Van Canneyt Status new => assigned
2010-09-14 13:40 Michael Van Canneyt Assigned To => Michael Van Canneyt
2012-02-10 22:11 Marco van de Voort Relationship added related to 0021252
2012-04-14 16:44 Michael Van Canneyt Status assigned => resolved
2012-04-14 16:44 Michael Van Canneyt Resolution open => won't fix
2012-04-14 16:44 Michael Van Canneyt Note Added: 0058590
2014-03-06 10:22 Michael Van Canneyt Status resolved => closed